Bug 44829 - Impress EDITING: Undo not works when change master page
Summary: Impress EDITING: Undo not works when change master page
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Master-Slide-View Undo-Redo
  Show dependency treegraph
 
Reported: 2012-01-16 05:30 UTC by sasha.libreoffice
Modified: 2017-06-13 22:16 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
testcase for undo master page (221.24 KB, application/vnd.oasis.opendocument.presentation)
2012-01-16 05:37 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-01-16 05:30:35 UTC
Steps to reproduce:
0. Load odp file from attachment
1. Change master page (on right pane "Tasks" most top tab "Master pages")
2. undo
Expected: 3-th slides becomes with initial picture
Actually: 3-th slide is empty

Produced in LibO 3.5.0 beta 2 on Fedora 64 bit
the same problem in LibO 3.4.3 on Windows XP 32 bit
but not reproducible in LibO 3.3.4 in Fedora
Comment 1 sasha.libreoffice 2012-01-16 05:37:11 UTC
Created attachment 55635 [details]
testcase for undo master page
Comment 2 Petr Mladek 2012-01-23 11:16:50 UTC
I have reproduced it with LO-3.5.0-beta3 on Linux.
Comment 3 A (Andy) 2013-03-28 22:40:40 UTC
could not reproduce it with LO 4.0.1.2 (Win7 Home, 64bit), but I am not sure if I understand it correctly

@sasha: Does this issue still persist for you with the latest release of LO?  If yes, could you please give more information how to reproduce it.
Comment 4 sasha.libreoffice 2013-04-01 05:39:09 UTC
Reproducible with 4.0.1 but with different steps
Steps to reproduce:
0. Open attachment in Impress
1. Select second slide in pane "Slides" on left hand screen side
2. Select blue master slide in pane "Tasks" (top right hand  screen side)
3. Right mouse click master and click "Edit master"
4. Click "Close master view" on toolbar
5. Click 3-th slide
6. Undo all steps
Expected: presentation looks as after opening
Actually: one or more slides looks different or masters looks different

If not reproduced from first attempt, repeat steps 1 - 6

If after reproducing save presentation under another name and use File->Reload, presentation looks even more different

Because steps of reproducing changed, changing status to Unconfirmed
Comment 5 ign_christian 2013-06-02 16:18:25 UTC
Confirmed, I saw strange behavior using LO 4.0.4.1 (Win7 32bit)

Tried on 1st attempt (step 0-6) ok (not reproducible). But while trying on 2nd attempt:
- doing step 2 -> slide2 in pane Slides (left screen) not change
- doing step 3 -> all slides in pane Slides change (slide1: blank white, slide2: blue master, slide3: horizontal red lines master) 

Then save, close, reopen that file:
- slide1 & slide2: blank white
- slide3: default master with kitten background

Seems that master pages not correctly remembered & applied.
Comment 6 retired 2013-07-17 09:47:27 UTC
Setting to NEW as of comment 5.
Comment 7 QA Administrators 2015-04-01 14:41:06 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-04-22 19:07:40 UTC
(In reply to ign_christian from comment #5)
> - doing step 3 -> all slides in pane Slides change (slide1: blank white,
> slide2: blue master, slide3: horizontal red lines master) 

This is the only thing I could repro - doing the steps the 2nd time. I'm tempted to close as WFM, but I will wait for more testers.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI
Comment 9 QA Administrators 2016-09-20 09:33:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920